/*$Id: poiprov.h,v 5.5 2013/05/17 14:56:07 sasa Exp $*/
/*17.12.2021	26.03.2008	Белых А.И.	poiprov.h
Реквизиты для поиска проводок
*/

class poiprov_rek
 {
  public:
   class iceb_tu_str datan;
   class iceb_tu_str datak;
   class iceb_tu_str datanz; /*дата записи проводки в базу начальная*/
   class iceb_tu_str datakz; /*дата записи проводки в базу конечная*/
   class iceb_tu_str shet,shetk;
   class iceb_tu_str debet,kredit;
   class iceb_tu_str kontr;
   class iceb_tu_str kodop;
   class iceb_tu_str nomdok;
   class iceb_tu_str koment;
   class iceb_tu_str metka; /*Метка проводки - из какой подсистемы сделана проводка*/
   class iceb_tu_str grupak;
   class iceb_tu_str status; /*"+" балансовые проводки "-" не балансовые проводки*/
   class iceb_tu_str kekv; /*код экономической классификации затрат*/
  
  class iceb_tu_str zapros;
  
  poiprov_rek()
   {
    clear();
   }
  void clear()
   {
    shet.new_plus("");
    shetk.new_plus("");
    datan.new_plus("");
    datak.new_plus("");
    datanz.new_plus("");
    datakz.new_plus("");
    debet.new_plus("");
    kredit.new_plus("");
    kontr.new_plus("");
    kodop.new_plus("");
    nomdok.new_plus("");
    koment.new_plus("");
    metka.new_plus("");
    grupak.new_plus("");
    status.new_plus("");
    kekv.new_plus("");
    
   }  
 };
